package com.zjrs.zwnw.dbgl.bpo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.dbgl.dto.*;
import com.zjrs.zwnw.dbgl.po.RsdbgldbrwPO;
import com.zjrs.zwnw.dbgl.po.RsdbgldbxmPO;

/**
 * @Author chenzhibiao
 * @create 2022/6/29 17:18
 */
public interface DbrwglBPO {
    PageResult getDbrwList(DbrwglDbrwQueryDTO dto, Integer pagenum, Integer pagesize);
    String saveDbrw(DbrwglDbrwUDTO dto);

    void updateDbrwPf(DbrwglDbrwCommDTO dto);

    void updateDbrwJs(DbrwglDbrwCommDTO dto);

    void deleteDbrwById(DbrwglDbrwCommDTO dto);

    void saveDbrwpj(DbrwglDbrwUPjDTO dto);

    void saveXmxx(DbrwglXmxxSaveDTO dto);

    void delXmxx(DbrwglXmxxCommDTO dto);

    void saveXmxxQtbm(DbrwglXmxxCommDTO dto);

    void saveXmxxXbbm(DbrwglXmxxCommDTO dto);

    RsdbgldbxmPO getXmxxById(DbrwglXmxxCommDTO dto);

    RsdbgldbrwPO getDbrwxxById(DbrwglCommDTO dto);
    PageResult getXmxxList(DbrwglXmxxQueryDTO dto, Integer pagenum, Integer pagesize);

    String getXmxxQtbmByXmid(DbrwglXmxxCommDTO dto);

    String getXmxxXbbmByXmid(DbrwglXmxxCommDTO dto);

}
